summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLars Wendler <polynomial-c@gentoo.org>2020-02-17 10:51:47 +0100
committerLars Wendler <polynomial-c@gentoo.org>2020-02-17 11:12:33 +0100
commit48989c979d59406b378e09449670e365351037f8 (patch)
treec5bade633664f6480938233512d3f5cbe3aad0b0 /sys-libs
parentpackage.mask: Last rite app-text/openlp (diff)
downloadgentoo-48989c979d59406b378e09449670e365351037f8.tar.gz
gentoo-48989c979d59406b378e09449670e365351037f8.tar.bz2
gentoo-48989c979d59406b378e09449670e365351037f8.zip
sys-libs/libcap: Bump to version 2.32
Package-Manager: Portage-2.3.89, Repoman-2.3.20 Signed-off-by: Lars Wendler <polynomial-c@gentoo.org>
Diffstat (limited to 'sys-libs')
-rw-r--r--sys-libs/libcap/Manifest1
-rw-r--r--sys-libs/libcap/libcap-2.32.ebuild84
2 files changed, 85 insertions, 0 deletions
diff --git a/sys-libs/libcap/Manifest b/sys-libs/libcap/Manifest
index 684a23eac02..3c1571db9bf 100644
--- a/sys-libs/libcap/Manifest
+++ b/sys-libs/libcap/Manifest
@@ -2,3 +2,4 @@ DIST libcap-2.26.tar.xz 67172 BLAKE2B 9d1952bd03e1bba5ffa225a5088b8d841c2007219b
DIST libcap-2.27.tar.xz 67780 BLAKE2B 7b58d7afdd90281771a302cd9554f067b9e3636b0c052935973d8a0d890490c3933b3513874b788a8c10e37ab5ad9cfa766408c9629b7c8562cb17bfdef87747 SHA512 e32335fd3e0d1564574acc73df7030b5b0fd98875217bffabd76f2765f1a7a6f1369f03df2ee22a1782776838784e342378c10613ea1163d53ae5055ab6a62b6
DIST libcap-2.30.tar.xz 98528 BLAKE2B 83892df1dc4f2a7605dbbf7332e90f1b696e16060ceba20a3fa3cdd53cb30f6a28d2bd49a4a66b7bc46221f860307de7c22cd7b2f826bad86baad6f510d01e40 SHA512 b2d843b61c3dd583b97c11ad4737b9ea5493eda6bb40da1efdb88b68c0594aeb0a2cebb0a59c749da1c6268ad1f821802d3c9e125a07c2d2457a0eb9df8c0c40
DIST libcap-2.31.tar.xz 99236 BLAKE2B c4cd5e2e105cc05b2aee2ee6435b9a28c06a91dee5cdd1baf6d94f625d89e134ad35a4493ffdfda7f3ffb0b41aa6e75a20cd705bfe9df570e82d0b6ea4e484e1 SHA512 9f0ef665a52e77356d6028abdead3c3cf75f97406ac09d60a33500222428c581d8aaa7d25d7eb9051d9c73ebfaefa7af5581430e1ecc1dfea73398a3ac7cbc3a
+DIST libcap-2.32.tar.xz 99708 BLAKE2B cbd4676ca9ada4c4dd6dee5137c0bb16f23af5d9a224c81b476c19326f87352fb06e2e123c9431558cd22f91032064ed6de8407d5861728dd141be16957363db SHA512 e2325cf0a1d0509c49336f7e5760e5b339c889cdde8d6c359197aed711423f951ad390a2a3dd4943b03afe152ad8502ea1db9d7ef247148b93e93a3c4895a019
diff --git a/sys-libs/libcap/libcap-2.32.ebuild b/sys-libs/libcap/libcap-2.32.ebuild
new file mode 100644
index 00000000000..019cf1be2c6
--- /dev/null
+++ b/sys-libs/libcap/libcap-2.32.ebuild
@@ -0,0 +1,84 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit multilib multilib-minimal toolchain-funcs pam usr-ldscript
+
+DESCRIPTION="POSIX 1003.1e capabilities"
+HOMEPAGE="https://sites.google.com/site/fullycapable/"
+SRC_URI="https://www.kernel.org/pub/linux/libs/security/linux-privs/libcap2/${P}.tar.xz"
+
+# it's available under either of the licenses
+LICENSE="|| ( GPL-2 BSD )"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sh ~sparc ~x86 ~amd64-linux ~x86-linux"
+IUSE="pam static-libs"
+
+# While the build system optionally uses gperf, we don't DEPEND on it because
+# the build automatically falls back when it's unavailable. #604802
+RDEPEND=">=sys-apps/attr-2.4.47-r1[${MULTILIB_USEDEP}]
+ pam? ( sys-libs/pam[${MULTILIB_USEDEP}] )"
+DEPEND="${RDEPEND}
+ sys-kernel/linux-headers"
+
+# Requires test suite being run as root (via sudo)
+RESTRICT="test"
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-2.29-build-system-fixes.patch
+ "${FILESDIR}"/${PN}-2.28-no_perl.patch
+ "${FILESDIR}"/${PN}-2.25-ignore-RAISE_SETFCAP-install-failures.patch
+ "${FILESDIR}"/${PN}-2.21-include.patch
+)
+
+src_prepare() {
+ default
+ multilib_copy_sources
+}
+
+run_emake() {
+ local args=(
+ exec_prefix="${EPREFIX}"
+ lib_prefix="${EPREFIX}/usr"
+ lib="$(get_libdir)"
+ prefix="${EPREFIX}/usr"
+ PAM_CAP="$(usex pam yes no)"
+ DYNAMIC=yes
+ GOLANG=no
+ )
+ emake "${args[@]}" "$@"
+}
+
+multilib_src_compile() {
+ tc-export AR CC RANLIB
+ local BUILD_CC
+ tc-export_build_env BUILD_CC
+
+ run_emake
+}
+
+multilib_src_install() {
+ # no configure, needs explicit install line #444724#c3
+ run_emake DESTDIR="${D}" install
+
+ gen_usr_ldscript -a cap
+ if ! use static-libs ; then
+ # Don't remove libpsx.a!
+ # See https://bugs.gentoo.org/703912
+ rm "${ED}"/usr/$(get_libdir)/libcap.a || die
+ fi
+
+ if [[ -d "${ED}"/usr/$(get_libdir)/security ]] ; then
+ rm -r "${ED}"/usr/$(get_libdir)/security || die
+ fi
+
+ if use pam; then
+ dopammod pam_cap/pam_cap.so
+ dopamsecurity '' pam_cap/capability.conf
+ fi
+}
+
+multilib_src_install_all() {
+ dodoc CHANGELOG README doc/capability.notes
+}